List targets requiring backup wallet maintenance

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/RABackupMaintenance

Lists database targets that require SBT backup wallet synchronization after a Recovery Appliance virtual private catalog user password or TLS trusted certificate changes.

Request

Query Parameters
  • Minimum Value: 1
    Maximum number of targets returned in one page.
    Default Value: 50
  • Opaque URL-safe Base64 pagination cursor.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Pending SBT backup wallet maintenance for database targets configured to send backups and redo to a Recovery Appliance.
Headers
Body ()
Root Schema : ListMaintenanceResponse
Type: object
Paginated collection of database targets requiring Recovery Appliance backup wallet maintenance.
Show Source
Example:
{
    "totalTargetsRequiringMaintenance":1075,
    "count":30,
    "targetList":[
        {
            "targetName":"mj_DB1",
            "targetType":"oracle_database",
            "maintenancesRequired":[
                "The password for VPC user vpcuser1 on Recovery Appliance Alta has changed and must be updated.",
                "The trusted certificate for Recovery Appliance Alta has changed and must be updated."
            ]
        },
        {
            "targetName":"bD_mmB2",
            "targetType":"rac_database",
            "maintenancesRequired":[
                "Password of VPC user rman used for Recovery appliance mjra has changed and needs to be updated."
            ]
        }
    ],
    "links":{
        "self":{
            "href":"/em/api/databases/RABackupMaintenance?limit=30"
        },
        "next":{
            "href":"/em/api/databases/RABackupMaintenance?limit=30&page=ZXhhbXBsZUN1cnNvcg=="
        }
    }
}
Nested Schema : targetList
Type: array
Database targets and their backup wallet maintenance information.
Show Source
Nested Schema : TargetMaintenanceInfo
Type: object
Show Source
Nested Schema : maintenancesRequired
Type: array
Required backup wallet maintenance actions for the target.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top